import { select } from 'd3';

const svg = select('svg');

// Background
svg
  .append('rect')
  .attr('width', 800)
  .attr('height', 400)
  .attr('fill', 'lightblue');

// Ground
svg
  .append('rect')
  .attr('width', 800)
  .attr('height', 100)
  .attr('y', 300)
  .attr('fill', 'green');

// Bus Stop Sign
svg
  .append('rect')
  .attr('width', 10)
  .attr('height', 100)
  .attr('x', 50)
  .attr('y', 200)
  .attr('fill', 'gray');

svg
  .append('rect')
  .attr('width', 100)
  .attr('height', 50)
  .attr('x', 5)
  .attr('y', 150)
  .attr('fill', 'red');

svg
  .append('text')
  .attr('x', 10)
  .attr('y', 180)
  .attr('fill', 'white')
  .text('BUS STOP');

// Man
// Head
svg
  .append('circle')
  .attr('cx', 200)
  .attr('cy', 250)
  .attr('r', 25)
  .attr('fill', 'peachpuff');

// Body
svg
  .append('rect')
  .attr('x', 185)
  .attr('y', 275)
  .attr('width', 30)
  .attr('height', 80)
  .attr('fill', 'blue');

// Legs
svg
  .append('rect')
  .attr('x', 185)
  .attr('y', 355)
  .attr('width', 10)
  .attr('height', 45)
  .attr('fill', 'black');

svg
  .append('rect')
  .attr('x', 205)
  .attr('y', 355)
  .attr('width', 10)
  .attr('height', 45)
  .attr('fill', 'black');

// Arms
svg
  .append('rect')
  .attr('x', 165)
  .attr('y', 275)
  .attr('width', 10)
  .attr('height', 50)
  .attr('fill', 'blue');

svg
  .append('rect')
  .attr('x', 225)
  .attr('y', 275)
  .attr('width', 10)
  .attr('height', 50)
  .attr('fill', 'blue');
